AM_CPPFLAGS = \
	$(UNITY_WEBAPPS_CFLAGS) \
	-DUNITY_WEBAPPS_ENABLE_DEBUG \
	-I$(top_srcdir)/src \
	-I$(top_srcdir)/src/libunity-webapps \
	$(UNITY_WEBAPPS_COVERAGE_CFLAGS)

noinst_PROGRAMS = \
	test-desktop-infos-util

test_desktop_infos_util_SOURCES = \
	$(top_srcdir)/src/unity-webapps-desktop-infos.c \
	$(top_srcdir)/src/unity-webapps-string-utils.c \
	test-desktop-infos-util.c

test_desktop_infos_util_LDADD = \
	$(UNITY_WEBAPPS_LIBS) \
	$(UNITY_WEBAPPS_DAEMON_LIBS) \
	$(UNITY_WEBAPPS_COVERAGE_LDFLAGS)

TESTS = $(noinst_PROGRAMS)

